CuttingPlanePlugin
Keywords: com.artenum.cassandra.plugin.cutting.CuttingPlanePlugin class

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.artenum.cassandra.plugin.cutting
Class CuttingPlanePlugin

    java.lang.Object
      com.artenum.cassandra.plugin.cutting.CuttingPlanePlugin

All Implemented Interfaces:
  com.artenum.cassandra.pipeline.RemoveListener, com.artenum.cassandra.plugin.CassandraPlugin

    public class CuttingPlanePlugin

extends java.lang.Object
implements com.artenum.cassandra.plugin.CassandraPlugin, com.artenum.cassandra.pipeline.RemoveListener

     Project ref           : CASSANDRA project
     Copyright and license : See relevant sections
     Status                : under development
     Creation              : 04/03/2005
     Modification          :

     Description  :
                 This class defines the VTK processing pipeline itself
                 and the initialisation of the contextuel GUI of the plugin.

Version number | Author (name, e-mail) | Corrections/Modifications
0.1 | Sebastien Jourdain, jourdain@artenum.com | Creation

Version:
  0.1
Author:
  Sebastien Jourdain

Constructor Summary
`CuttingPlanePlugin(com.artenum.cassandra.pipeline.PipeLineManager pipelineManager, com.artenum.cassandra.plugin.PluginManager pluginManager, java.awt.Frame owner)` Main contructor and VTK pipeline definition.

Method Summary
`javax.swing.JPopupMenu` | `getContextualMenu()`
`java.lang.String` | `getName()` Default plugin interface
`void` | `remove()`
`java.lang.String` | `toString()` String printed in the plugin manager list
`void` | `updateCuttingPlane(double cx, double cy, double cz, double nx, double ny, double nz, vtk.vtkDataSet vtkDataSet)` Update the data in the defined pipeline

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CuttingPlanePlugin

    public CuttingPlanePlugin(com.artenum.cassandra.pipeline.PipeLineManager pipelineManager,
                              com.artenum.cassandra.plugin.PluginManager pluginManager,
                              java.awt.Frame owner)

  Main contructor and VTK pipeline definition.

  Parameters:
    `pipelineManager` - is the central pipeline manager of Cassandra.
    `pluginManager` - is the central list of plugin instance, where a contextual menu access is given.

Method Detail

### updateCuttingPlane

    public void updateCuttingPlane(double cx,
                                   double cy,
                                   double cz,
                                   double nx,
                                   double ny,
                                   double nz,
                                   vtk.vtkDataSet vtkDataSet)

  Update the data in the defined pipeline

  Parameters:
    `cx` -
    `cy` -
    `cz` -
    `nx` -
    `ny` -
    `nz` -
    `vtkDataSet` -

### getName

    public java.lang.String getName()

  Default plugin interface

  Specified by:
    `getName` in interface `com.artenum.cassandra.plugin.CassandraPlugin`

### getContextualMenu

    public javax.swing.JPopupMenu getContextualMenu()

  Specified by:
    `getContextualMenu` in interface `com.artenum.cassandra.plugin.CassandraPlugin`

### remove

    public void remove()

  Specified by:
    `remove` in interface `com.artenum.cassandra.pipeline.RemoveListener`
  Specified by:
    `remove` in interface `com.artenum.cassandra.plugin.CassandraPlugin`

### toString

    public java.lang.String toString()

  String printed in the plugin manager list

  Overrides:
    `toString` in class `java.lang.Object`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

     (c) Copyright: Artenum SARL, 101-103 Boulevard Mac Donald,
                    75019, Paris, France 2005.
                    http://www.artenum.com

     License:

      This program is free software; you can redistribute it
      and/or modify it under the terms of the Q Public License;
      either version 1 of the License.

      This program is distributed in the hope that it will be
      useful, but WITHOUT ANY WARRANTY; without even the implied
      warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
      PURPOSE. See the Q Public License for more details.

      You should have received a copy of the Q Public License
      License along with this program;
      if not, write to:
        Artenum SARL, 101-103 Boulevard Mac Donald,
        75019, PARIS, FRANCE, e-mail: contact@artenum.com